#!/bin/sh 

echo -e "*--------- Installing Advanced Voicemail Features ---------*"
echo -e "!                                                          !"
echo -e "!  For your refrence, the diff files that are being used   !"
echo -e "!  are located in the /usr/src/asterisk directory.         !"
echo -e "!__________________________________________________________!"
echo -e "!                                                          !"
echo -e "!  Please reference bug 1483 in the bugtracker, located at !"
echo -e "!  http://bugs.digium.com for information regarding this   !"
echo -e "!  patch.                                                  !"
echo -e "!  This patch also includes the say.c patch to only say    !"
echo -e "!  digits as described in bug number 1443.  If you do not  !"
echo -e "!  want to install that patch as well, hit ctrl-c now.     !" 
echo -e "*----------------------------------------------------------*"
echo -e 
echo -e "Continuing in 1 second.."
sleep 1 
echo -e "Here we go!"
cd /usr/src/asterisk
echo -e
echo "Applying patch for say.c digits-only fix"
patch -p0 < digits-fix.patch
echo "Applying patch for sounds.txt"
patch -p0 < sounds.txt.diff
echo "Applying patch for advanced features"
patch -p0 < advanced10.diff
echo "Making changes to configs/voicemail.conf.sample to show usage"
patch -p0 < voicemail.conf.sample.diff
echo -e
echo -e "Done!"
echo -e
echo -e "*--------- Thank You for Installing and Testing -----------*"
echo -e "!                                                          !"
echo -e "!   ******Assuming there were no failures above*********   !"
echo -e "!                                                          !"
echo -e "!   You man now run the normal Asterisk installation       !"
echo -e "!   routine to install the voicemail features, wether this !"
echo -e "!   is a fresh checkout of Asterisk, or just applying the  !"
echo -e "!   patch.                                                 !"
echo -e "!  *****NOTE***** If you are applying the patch, don't     !"
echo -e "!                 Forget to re-load the app_voicemail.so   !"
echo -e "!                 module, or reload asterisk.              !"
echo -e "*----------------------------------------------------------*"
